import { MasterCSS } from '@master/css';
import { type Config } from '@master/css';
export default class CSSRuntime extends MasterCSS {
    root: Document | ShadowRoot;
    customConfig: Config;
    static instances: WeakMap<Document | ShadowRoot, CSSRuntime>;
    readonly host: Element;
    readonly observing = false;
    readonly progressive = false;
    readonly container: HTMLElement | ShadowRoot;
    readonly observer?: MutationObserver;
    constructor(root?: Document | ShadowRoot, customConfig?: Config);
    /**
     * Observe the DOM for changes and update the running stylesheet. (browser only)
     * @param options mutation observer options
     * @returns this
     */
    observe(): this;
    hydrate(nativeLayerRules: CSSRuleList): void;
    getSelectorText(cssRule: CSSRule): string | undefined;
    disconnect(): this | undefined;
    refresh(customConfig?: Config): this;
    destroy(): this;
}
